Name: hoard		
Version: 3.8
%define tar_version 38
Release: 9%{?dist}
Summary: A fast, scalable, and memory-efficient allocator
Group:	System Environment/Libraries
License: GPLv2	
URL: http://www.cs.umass.edu/~emery/hoard
Source0: http://www.cs.umass.edu/~emery/hoard/hoard-%{version}/source/%{name}-%{tar_version}.tar.gz
Patch1: hoard-38-NOBUILD.patch
Patch2: hoard-38-cflags.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{tar_version}-%{release}-XXXXXX)
BuildRequires: dos2unix

%description
Hoard is a fast, scalable, and memory-efficient allocator. 
Hoard is a drop-in replacement for malloc that can dramatically improve 
application performance.


%package docs
Summary: Hoard documentation
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description docs
HTML Documentation for the Hoard Malloc Library

%prep
%setup -q -n %{name}-%{tar_version}
find . -exec dos2unix {} \;
chmod -x src/*.h
chmod -x src/heaplayers/*.h
%patch1 -p1
%patch2 -p1

%build
rm -fr doc/src/
dos2unix doc/*
dos2unix doc/skin/*
unix2dos doc/skin/{basic,screen,print}.css
dos2unix doc/skin/{basic,screen,print}.css
dos2unix doc/skin/images/*
dos2unix doc/heaplayers-article-cuj_files/*
find doc -type d -print0 | xargs -0 chmod 755
find doc -type f -print0 | xargs -0 chmod 644
cd src
export CPPFLAGS="%{optflags} -fpic"
%ifarch x86_64
make  %{?_smp_mflags} BINDIR=%{_bindir} linux-gcc-x86-64-debug
%else
make  %{?_smp_mflags} BINDIR=%{_bindir} linux-gcc-x86-debug
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/
cp -p src/libhoard.so $RPM_BUILD_ROOT/%{_libdir}/
chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/libhoard.so

%post  -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files docs
%doc doc/* COPYING 

%files
%doc AUTHORS NEWS README THANKS
%{_libdir}/libhoard.so

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jul 31 2013 Peter Robinson <pbrobinson@fedoraproject.org> 3.8-7
- Fixed build so uses distro CPPFLAGS and gets all the proper options and actually enable PIC
- Fixes builds on ARM and PPC

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 28 2012 Ryan Lewis <me@ryanlewis.net> - 3.8-4
- Addresses https://bugzilla.redhat.com/show_bug.cgi?id=753517#c13

* Wed Apr 25 2012 Ryan Lewis <me@ryanlewis.net> - 3.8-3
- Addresses https://bugzilla.redhat.com/show_bug.cgi?id=753517#c9
- removed makefile so-name patch. 

* Wed Apr 25 2012 Ryan Lewis <me@ryanlewis.net> - 3.8-2
- Added chmod 0755 libhoard.so
- Added patch for Makefile so-name. 
  rpmlint is still unhappy. not sure why.

* Tue Apr 24 2012 Ralph Bean <rbean@redhat.com> - 3.8-1
- Wrapped up new version
- Fixed the upstream URL
- Updated the hoard-38-NOBUILD.patch to actually work.
  Unsure why it didn't already.
- dos2unix on the whole source before applying our patch.

* Sat Dec 24 2011 Ryan H. Lewis <me@ryanlewis.net> - 371-3
- added documentation. squashing rpmlint problems.

* Sun Nov 13 2011 Ryan Lewis <me@ryanlewis.net> - 371-2
- squashed some warnings in rpmlint

* Sat Nov 12 2011 Ryan Lewis <me@ryanlewis.net> - 3.7.1-1
- Initial spec file
